function d = determ(A)
%DETERM Symbolic matrix determinant.
%	DETERM(A) computes the symbolic determinant of the matrix A, 
%	where A is a symbolic or numeric matrix.
%	DETERM(VPA(A)) uses variable precision arithmetic.  See VPA.
%
%	Example:  determ(sym(5,5,'1/(i+j-t)'))

%	Copyright (c) 1993-95 by The MathWorks, Inc.
%	$Revision: 1.8 $  $Date: 1995/03/01 21:38:45 $

if ~isstr(A)
   A = sym(A);
end
if prod(symsize(A)) == 1
   d = A;
else
   d = maple('det',A);
end
